import * as e from "react";
import l from "../../../rc-resize-observer/es/index.mjs";
function i(r) {
  var n = r.columnKey, o = r.onColumnResize, t = e.useRef();
  return e.useEffect(function() {
    t.current && o(n, t.current.offsetWidth);
  }, []), /* @__PURE__ */ e.createElement(l, {
    data: n
  }, /* @__PURE__ */ e.createElement("td", {
    ref: t,
    style: {
      padding: 0,
      border: 0,
      height: 0
    }
  }, /* @__PURE__ */ e.createElement("div", {
    style: {
      height: 0,
      overflow: "hidden"
    }
  }, " ")));
}
export {
  i as default
};
